org.apache.tinkerpop.gremlin.structure.util.empty

## Class EmptyGraph.EmptyGraphFeatures.EmptyGraphVertexPropertyFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.empty.EmptyGraph.EmptyGraphFeatures.EmptyGraphVertexPropertyFeatures

- All Implemented Interfaces:
    Graph.Features.DataTypeFeatures, Graph.Features.FeatureSet, Graph.Features.PropertyFeatures, Graph.Features.VertexPropertyFeatures
  Enclosing class:
    EmptyGraph.EmptyGraphFeatures

      public final class EmptyGraph.EmptyGraphFeatures.EmptyGraphVertexPropertyFeatures
      extends Object
      implements Graph.Features.VertexPropertyFeatures

  Vertex Property features defined such that they support immutability but allow all other possibilities.

- - ### Property Summary

    All Methods Instance Methods Concrete Methods
    Type | Property and Description
    --- | ---
    `boolean` | `supportsAdd` Determines if a `VertexProperty` allows properties to be added.
    `boolean` | `supportsRemove` Determines if a `VertexProperty` allows properties to be removed.

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.VertexPropertyFeatures

      `FEATURE_ADD_PROPERTY, FEATURE_ANY_IDS, FEATURE_CUSTOM_IDS, FEATURE_NUMERIC_IDS, FEATURE_REMOVE_PROPERTY, FEATURE_STRING_IDS, FEATURE_USER_SUPPLIED_IDS, FEATURE_UUID_IDS`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.PropertyFeatures

      `FEATURE_PROPERTIES`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.DataTypeFeatures

      `FEATURE_BOOLEAN_ARRAY_VALUES, FEATURE_BOOLEAN_VALUES, FEATURE_BYTE_ARRAY_VALUES, FEATURE_BYTE_VALUES, FEATURE_DOUBLE_ARRAY_VALUES, FEATURE_DOUBLE_VALUES, FEATURE_FLOAT_ARRAY_VALUES, FEATURE_FLOAT_VALUES, FEATURE_INTEGER_ARRAY_VALUES, FEATURE_INTEGER_VALUES, FEATURE_LONG_ARRAY_VALUES, FEATURE_LONG_VALUES, FEATURE_MAP_VALUES, FEATURE_MIXED_LIST_VALUES, FEATURE_SERIALIZABLE_VALUES, FEATURE_STRING_ARRAY_VALUES, FEATURE_STRING_VALUES, FEATURE_UNIFORM_LIST_VALUES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyGraphVertexPropertyFeatures()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supportsAddProperty()` Determines if a `VertexProperty` allows properties to be added.
    `boolean` | `supportsRemoveProperty()` Determines if a `VertexProperty` allows properties to be removed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.VertexPropertyFeatures

      `supportsAnyIds, supportsCustomIds, supportsNumericIds, supportsStringIds, supportsUserSuppliedIds, supportsUuidIds, willAllowId`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.PropertyFeatures

      `supportsProperties`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.DataTypeFeatures

      `supportsBooleanArrayValues, supportsBooleanValues, supportsByteArrayValues, supportsByteValues, supportsDoubleArrayValues, supportsDoubleValues, supportsFloatArrayValues, supportsFloatValues, supportsIntegerArrayValues, supportsIntegerValues, supportsLongArrayValues, supportsLongValues, supportsMapValues, supportsMixedListValues, supportsSerializableValues, supportsStringArrayValues, supportsStringValues, supportsUniformListValues`

- - ### Property Detail

    - #### supportsAdd

          public boolean supportsAddProperty

      Specified by:
        `supportsAddProperty` in interface `Graph.Features.VertexPropertyFeatures`

    - #### supportsRemove

          public boolean supportsRemoveProperty

      Specified by:
        `supportsRemoveProperty` in interface `Graph.Features.VertexPropertyFeatures`

  - ### Constructor Detail

    - #### EmptyGraphVertexPropertyFeatures

          public EmptyGraphVertexPropertyFeatures()

  - ### Method Detail

    - #### supportsAddProperty

          public boolean supportsAddProperty()

      Description copied from interface: `Graph.Features.VertexPropertyFeatures`
      Determines if a `VertexProperty` allows properties to be added.
      Specified by:
        `supportsAddProperty` in interface `Graph.Features.VertexPropertyFeatures`

    - #### supportsRemoveProperty

          public boolean supportsRemoveProperty()

      Description copied from interface: `Graph.Features.VertexPropertyFeatures`
      Determines if a `VertexProperty` allows properties to be removed.
      Specified by:
        `supportsRemoveProperty` in interface `Graph.Features.VertexPropertyFeatures`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.